#include <stdio.h>
#include <fat32.h>
#include <gpio.h>
#include <uart.h>
#include <stm32f4xx.h>
#include <bsp.h>
#include <i2c.h>
#include <CS43L22.h>
#include <ina226.h>


extern streamdevice* __opnfiles__[];

int main()
{
    INA226_t Psens1;
    gpioset(PSU_DISABLE);
    ina226open(&Psens1,i2c2,0,0,15,300000);
    uint16_t id=ina226getID(&Psens1);
    printf("INA226 ID=%x\n\r",0x0ffff&id);
    id=ina226getReg(&Psens1,INA226_Calibration_Reg);
    printf("INA226 CAL=%x\n\r",0x0ffff&id);
    unsigned int current;
    while(1)
    {
        for(volatile int i=0;i<1024*2048;i++);
        gpioset(LED1);
        gpioclr(LED2);
        for(volatile int i=0;i<1024*2048;i++);
        gpioclr(LED1);
        gpioset(LED2);
        current = ina226getCurrent(&Psens1);
        printf("Current = %uA  %umA\n\r",current,current/1000);
    }
    printf("hello world\n\r");
    return 0;
}









